#include <QtTest/QtTest>
#include "Communication.h"
#include "ConnectionSettings.h"
#include "CommunicationManager.h"

class TestCommunicationManager: public QObject
{
	Q_OBJECT

private slots:
	void initTestCase();
	void init();
	void cleanup();
	void cleanupTestCase();
	void testErrorSignal();
	void testFetchMeetings();
	void testFetchMeetingDetails();
	void meetingsFetched( const QList<Meeting*> &aMeetings );
	void meetingDetailsFetched( Meeting &aDetailedMeeting );
	void handleError( int aCode, CommunicationManager::CommunicationType aType );

private:
	CommunicationManager* iMgr;
	int iError;
	QList<Meeting*> iMeetings;
};
